/*
VODKA-INDUCED ENTERTAINMENT ADVANCED SOUND MANAGER v0.9
COMPATIBILITY LAYER FOR WOLF4SDL v1.6 - SOUND NAMES REFERENCE FILE
BY GERARD 'ALUMIUN' WATSON
*/

#ifndef _ASMCREF_H_
#define _ASMCREF_H_

// This table holds the file names for the sounds defined in AUDIOWL6.H.
// Change these to suit your sounds and your AUDIOHED.WL6 or SOD file.
// Currently these are set up for Wolfenstein, not SoD.

const char *sounddir = "sounds\\";

const char *ASM_Soundnames[NUMSOUNDS] = {
            "DSBAREXP.wav",
            "DSBFG.wav",
            "DSBGACT.wav",
            "DSBGDTH1.wav",
            "DSBGDTH2.wav",
            "DSBGSIT1.wav",
            "DSBGSIT2.wav",
            "DSBOSPIT.wav",
            "DSBRSDTH.wav",
            "DSBRSSIT.wav",
            "DSBSPACT.wav",
            "DSBSPDTH.wav",
            "DSBSPSIT.wav",
            "DSBSPWLK.wav",
            "DSCACDTH.wav",
            "DSCACSIT.wav",
            "DSCLAW.wav",
            "DSCYBDTH.wav",
            "DSCYBSIT.wav",
            "DSDBCLS.wav",
            "DSDBLOAD.wav",
            "DSDBOPN.wav",
            "DSDMACT.wav",
            "DSDMPAIN.wav",
            "DSDORCLS.wav",
            "DSDOROPN.wav",
            "DSDSHTGN.wav",
            "DSFIRSHT.wav",
            "DSFIRXPL.wav",
            "DSFLAME.wav",
            "DSFLAMST.wav",
            "DSGETPOW.wav",
            "DSHOOF.wav",
            "DSITEMUP.wav",
            "DSITMBK.wav",
            "DSKNTDTH.wav",
            "DSKNTSIT.wav",
            "DSMANATK.wav",
            "DSMANDTH.wav",
            "DSMANSIT.wav",
            "DSMNPAIN.wav",
            "DSNOWAY.wav",
            "DSPEDTH.wav",
            "DSPEPAIN.wav",
            "DSPESIT.wav",
            "DSPISTOL.wav",
            "DSPLASMA.wav",
            "DSPLDETH.wav",
            "DSPLPAIN.wav",
            "DSPODTH1.wav",
            "DSPODTH2.wav",
            "DSPODTH3.wav",
            "DSPOPAIN.wav",
            "DSPOSACT.wav",
            "DSPOSIT1.wav",
            "DSPOSIT2.wav",
            "DSPOSIT3.wav",
            "DSPSTART.wav",
            "DSPSTOP.wav",
            "DSPUNCH.wav",
            "DSRLAUNC.wav",
            "DSRXPLOD.wav",
            "DSSAWFUL.wav",
            "DSSAWHIT.wav",
            "DSSAWIDL.wav",
            "DSSAWUP.wav",
            "DSSGTATK.wav",
            "DSSGTDTH.wav",
            "DSSGTSIT.wav",
            "DSSHOTGN.wav",
            "DSSKEACT.wav",
            "DSSKEATK.wav",
            "DSSKEDTH.wav",
            "DSSKEPCH.wav",
            "DSSKESIT.wav",
            "DSSKESWG.wav",
            "DSSKLATK.wav",
            "DSSLOP.wav",
            "DSSTNMOV.wav",
            "DSSWTCHN.wav",
            "DSSWTCHX.wav",
            "DSTELEPT.wav",
            "DSVILACT.wav",
            "DSVILATK.wav",
            "DSVILDTH.wav",
            "DSVILSIT.wav",
            "DSVIPAIN.wav",
            "DSWPNUP.wav"
};

// This table holds the file names for the music defined in AUDIOWL6.H.
// Change these to suit your music and your AUDIOHED.WL6 or SOD file.
// Currently these are set up for Wolfenstein, not SoD.
// Make sure you put the right format on the end here
// Compatible extentions:
//  -- WAV (If you're using WAVs for music, you're mad.)
//  -- OGG
//  -- MP3
//  -- MID
//  -- MOD, XM, IT, 669, S3M, MED

const char *musicdir = "music\\";

const char *ASM_Musicnames[NUMMUSICS] = {
    "d_title.mid",           // 0
    "d_betwee.mid",
    "d_ddtblu.mid",
    "d_dead.mid",
    "d_e1m2.mid",
    "d_e1m3.mid",
    "d_e1m4.mid",
    "d_e1m9.mid",
    "d_e2m1.mid",
    "d_e2m2.mid",
    "d_e2m6.mid",            // 10
    "d_e2m8.mid",
    "d_e3m1.mid",
    "d_e3m2.mid",
    "d_e3m3.mid",
    "d_in_cit.mid",
    "d_read_m.mid",
    "d_runnin.mid",
    "d_shawn.mid",
    "d_stalks.mid",
    "d_victor.mid",          // 20
    "descent.mid",
    "d_quadm.mid",
    "d_mmenu.mid",
    "d_underw.mid"           // 23
};

#endif  // _ASMCREF_H_
