/////////////////////////////////////////////////
//
// MUSE Header for .WL6
// Created Tue Jul 14 15:04:53 1992
//
/////////////////////////////////////////////////

//
// Sound names & indexes
//
typedef enum {
        DSBAREXP,                        // 0
        DSBFG,							 // 1
        DSBGACT,                         // 2
        DSBGDTH1,                        // 3
        DSBGDTH2,                        // 4
        DSBGSIT1,                        // 5
        DSBGSIT2,                        // 6
        DSBOSPIT,                        // 7
        DSBRSDTH,                        // 8
        DSBRSSIT,                        // 9
        DSBSPACT,                        // 10
        DSBSPDTH,                        // 11
        DSBSPSIT,                        // 12
        DSBSPWLK,                        // 13
        DSCACDTH,                        // 14
        DSCACSIT,                        // 15
        DSCLAW,                  // 16
        DSCYBDTH,                        // 17
        DSCYBSIT,                        // 18
        DSDBCLS,                         // 19
        DSDBLOAD,                        // 20
        DSDBOPN,                         // 21
        DSDMACT,                         // 22
        DSDMPAIN,                        // 23
        DSDORCLS,                        // 24
        DSDOROPN,                        // 25
        DSDSHTGN,                        // 26
        DSFIRSHT,                        // 27
        DSFIRXPL,                        // 28
        DSFLAME,                         // 29
        DSFLAMST,                        // 30
        DSGETPOW,                        // 31
        DSHOOF,                  // 32
        DSITEMUP,                        // 33
        DSITMBK,                         // 34
        DSKNTDTH,                        // 35
        DSKNTSIT,                        // 36
        DSMANATK,                        // 37
        DSMANDTH,                        // 38
        DSMANSIT,                        // 39
        DSMNPAIN,                        // 40
        DSNOWAY,                         // 41
        DSPEDTH,                         // 42
        DSPEPAIN,                        // 43
        DSPESIT,                         // 44
        DSPISTOL,                        // 45
        DSPLASMA,                        // 46
        DSPLDETH,                        // 47
        DSPLPAIN,                        // 48
        DSPODTH1,                        // 49
        DSPODTH2,                        // 50
        DSPODTH3,                        // 51
        DSPOPAIN,                        // 52
        DSPOSACT,                        // 53
        DSPOSIT1,                        // 54
        DSPOSIT2,                        // 55
        DSPOSIT3,                        // 56
        DSPSTART,                        // 57
        DSPSTOP,                         // 58
        DSPUNCH,                         // 59
        DSRLAUNC,                        // 60
        DSRXPLOD,                        // 61
        DSSAWFUL,                        // 62
        DSSAWHIT,                        // 63
        DSSAWIDL,                        // 64
        DSSAWUP,                         // 65
        DSSGTATK,                        // 66
        DSSGTDTH,                        // 67
        DSSGTSIT,                        // 68
        DSSHOTGN,                        // 69
        DSSKEACT,                        // 70
        DSSKEATK,                        // 71
        DSSKEDTH,                        // 72
        DSSKEPCH,                        // 73
        DSSKESIT,                        // 74
        DSSKESWG,                        // 75
        DSSKLATK,                        // 76
        DSSLOP,							 // 77
        DSSTNMOV,                        // 78
        DSSWTCHN,                        // 79
        DSSWTCHX,                        // 80
        DSTELEPT,                        // 81
        DSVILACT,                        // 82
        DSVILATK,                        // 83
        DSVILDTH,                        // 84
        DSVILSIT,                        // 85
        DSVIPAIN,                        // 86
        DSWPNUP,                         // 87
    LASTSOUND
} soundnames;

//
// Base offsets
//
#define STARTPCSOUNDS		0
#define STARTADLIBSOUNDS	0
#define STARTDIGISOUNDS		0
#define STARTMUSIC		    0

//
// Music names & indexes
//
typedef enum {
    D_TITLE_MUS,		    // 0
    D_BETWEEN_MUS,		    // 1
    D_DDTBLU_MUS,		    // 2
    D_DEAD_MUS,			    // 3
    D_E1M2_MUS,			    // 4
    D_E1M3_MUS,			    // 5
    D_E1M4_MUS,			    // 6
    D_E1M9_MUS,			    // 7
    D_E2M1_MUS,			    // 8
    D_E2M2_MUS,			    // 9
    D_E2M6_MUS,			    // 10
    D_E2M8_MUS,			    // 11
    D_E3M1_MUS,			    // 12
    D_E3M2_MUS,			    // 13
    D_E3M3_MUS,			    // 14
    D_IN_CIT_MUS,		    // 15
    D_READ_M_MUS,		    // 16
    D_RUNNIN_MUS,		    // 17
    D_SHAWN_MUS,		    // 18
    D_STALKS_MUS,		    // 19
    D_VICTOR_MUS,		    // 20
    DESCENT_MUS,		    // 21
    D_QUADM_MUS,		    // 22
    D_MMENU_MUS,		    // 23
    D_UNDERW_MUS,		    // 24
    LASTMUSIC
} musicnames;

#define NUMSOUNDS		    LASTSOUND
#define NUMSNDCHUNKS		(STARTMUSIC + LASTMUSIC)
#define NUMMUSICS           LASTMUSIC

/////////////////////////////////////////////////
//
// Thanks for playing with MUSE!
//
/////////////////////////////////////////////////
