//////////////////////////////////////
//
// Graphics .H file for .WL6
// IGRAB-ed on Wed Apr 13 06:58:44 1994
//
//////////////////////////////////////

typedef enum {
        // Lump Start -- main menu
        M_DOOMPIC=3,
        M_NEWGAMEPIC,
        M_OPTIONSPIC,
        M_LOADGAMEPIC,
        M_SAVEGAMEPIC,
        M_READTHISPIC,
        M_ENDGAMEPIC,
        M_VIEWSCORESPIC,
        M_BACKTOPIC,
        M_GAMEPIC,
        M_DEMOPIC,
        M_QUITGAMEPIC,
        // Lump Start -- cursor
        C_CURSOR1PIC,
        C_CURSOR2PIC,
        // Lump Start -- episode menu
        E_WHICHEPISODEPIC,
        E_EPISODE1PIC,
        E_EPISODE2PIC,
        E_EPISODE3PIC,
        E_EPISODE4PIC,
        E_EPISODE5PIC,
        // Lump Start -- skill menu
        S_SKILLLEVELPIC,
        S_SKILL1PIC,
        S_SKILL2PIC,
        S_SKILL3PIC,
        S_SKILL4PIC,
        // Lump Start -- options
        O_REVERSEPIC,                
        O_NOTSELECTEDPIC,            
        O_SELECTEDPIC,               
        O_SOUNDPIC,                  
        O_CONTROLPIC,                
        O_SCREENSIZEPIC,             
        O_MESSAGESPIC,               
        O_DIGITIZEDPIC,              
        O_MUSICPIC,                  
        O_CUSTOMIZEPIC,              
        O_MOUSEENABLEPIC,		     
        O_MOUSESENSPIC,			     
        O_AUTOSAVEPIC,
        O_DEATHOPTIONPIC,
        O_ORIGINALPIC,
        O_ASKPIC,
        O_LASTSAVEPIC,
        O_JOYSTICKENABLEPIC,	     
        O_COLONPIC,
        // Lump LOADSAVE
        I_LSENTRYPIC,			     
        C_DISKLOADING1PIC,           
        C_DISKLOADING2PIC,		     

        TOPWINDOWPIC,                
        LEFTWINDOWPIC,               
        RIGHTWINDOWPIC,              
        BOTTOMWINDOWPIC,             
        // Lump JOYSTICK
        C_JOY1PIC,                   
        C_JOY2PIC,                   
        // Lump LEVELEND
        L_COLONPIC,                  
        L_NUM0PIC,                   
        L_NUM1PIC,                   
        L_NUM2PIC,                   
        L_NUM3PIC,                   
        L_NUM4PIC,                   
        L_NUM5PIC,                   
        L_NUM6PIC,                   
        L_NUM7PIC,                   
        L_NUM8PIC,                   
        L_NUM9PIC,                   
        L_PERCENTPIC,
        CILOGOPIC,

        STATUSBARPIC,                
        TITLEPIC,                    
        CREDITSPIC,                  
        HIGHSCORESPIC,               
        LEVELPIC,                    
        SCOREPIC,                    
        NAMEPIC,                     
        // Lump Start
        S_2PIC,                      
        S_3PIC,                      
        S_4PIC,                      
        S_5PIC,                      
        S_6PIC,                      
        S_7PIC,
        S_HEALTHPIC,
        S_ARMOR100PIC,
        S_ARMOR200PIC,
        S_AMMO1PIC,
        S_AMMO2PIC,
        S_AMMO3PIC,
        S_AMMO4PIC,
        KEY1PIC,                     
        KEY2PIC,                     
        KEY3PIC,			         
        N_BLANKPIC,                  
        N_0PIC,                      
        N_1PIC,                      
        N_2PIC,                      
        N_3PIC,                      
        N_4PIC,                      
        N_5PIC,                      
        N_6PIC,                      
        N_7PIC,                      
        N_8PIC,                      
        N_9PIC,                      
        N_PRCNTPIC,
        A_BLANKPIC,			         
        A_0PIC,                      
        A_1PIC,                      
        A_2PIC,                      
        A_3PIC,                      
        A_4PIC,                      
        A_5PIC,                      
        A_6PIC,                      
        A_7PIC,                      
        A_8PIC,                      
        A_9PIC,                      
        FACE1APIC,                   
        FACE1BPIC,                   
        FACE1CPIC,                   
        FACE2APIC,                   
        FACE2BPIC,                   
        FACE2CPIC,                   
        FACE3APIC,                   
        FACE3BPIC,                   
        FACE3CPIC,                   
        FACE6APIC,                   
        FACE6BPIC,                   
        FACE6CPIC,                   
        FACE7APIC,                   
        FACE7BPIC,                   
        FACE7CPIC,                   
        FACE8APIC,                   
        EVIL0FACE,                   
        EVIL1FACE,                   
        EVIL2FACE,                   
        EVIL3FACE,                   
        EVIL4FACE,                   
        GODFACEPIC,			         
        BJOUCH1PIC,                  
        BJOUCH2PIC,                  
        BJOUCH3PIC,                  
        BJOUCH4PIC,                  
        BJOUCH5PIC,	     
// Level Intermission Lump
        ENTERINGPIC,			     
        E1M1PIC,			         
        E1M2PIC,                     
        E1M3PIC,                     
        E1M4PIC,			         
        E1M5PIC,			         
        E1M6PIC,			         
        E1M7PIC,			         
        E1M8PIC,			         
        E1M9PIC,			         
        E1M10PIC,			         
        E2M1PIC,			         
        E2M2PIC,			         
        E2M3PIC,			         
        E2M4PIC,			         
        E2M5PIC,			         
        E2M6PIC,                     
        E2M7PIC,                     
        E2M8PIC,                     
        E2M9PIC,			         
        E2M10PIC,			         
        E3M1PIC,			         
        E3M2PIC,                     
        E3M3PIC,			         
        E3M4PIC,			         
        E3M5PIC,			         
        E3M6PIC,			         
        E3M7PIC,			         
        E3M8PIC,                     
        E3M9PIC,			         
        E3M10PIC,                    
        E4M1PIC,			         
        E4M2PIC,			         
        E4M3PIC,			         
        E4M4PIC,			         
        E4M5PIC,			         
        E4M6PIC,                     
        E4M7PIC,                     
        E4M8PIC,                     
        E4M9PIC,			         
        E4M10PIC,			         
        FINISHEDPIC,			     

        BACKDROPPIC,			     
// INTERMISSION Lump                     
        METERPIC,  
        BARPIC,                   
        TIMEPIC,
        PARPIC,                      
        KILLSPIC,                    
        ITEMSPIC,                    
        SECRETPIC,                   
        BONUSPIC,
        AVERAGEPIC,                  
        YOUWINPIC,           
// CUSTOMIZE Lump
        Q_MOUSEPIC,
        Q_JOYGRAVISPIC,
        Q_KEYBOARDPIC,
        Q_RUNPIC,   // not needed                 
        Q_OPENPIC,
        Q_FIREPIC,
        Q_STRAFEPIC,
        Q_LEFTPIC,
        Q_RIGHTPIC,
        Q_FRWDPIC,
        Q_BKWRDPIC,

        // MESSAGE_LUMP
        STCFN033,
        STCFN034,
        STCFN035,
        STCFN036,
        STCFN037,
        STCFN038,
        STCFN039,
        STCFN040,
        STCFN041,
        STCFN042,
        STCFN043,
        STCFN044,
        STCFN045,
        STCFN046,
        STCFN047,
        STCFN048,
        STCFN049,
        STCFN050,
        STCFN051,
        STCFN052,
        STCFN053,
        STCFN054,
        STCFN055,
        STCFN056,
        STCFN057,
        STCFN058,
        STCFN059,
        STCFN060,
        STCFN061,
        STCFN062,
        STCFN063,
        STCFN064,
        STCFN065,
        STCFN066,
        STCFN067,
        STCFN068,
        STCFN069,
        STCFN070,
        STCFN071,
        STCFN072,
        STCFN073,
        STCFN074,
        STCFN075,
        STCFN076,
        STCFN077,
        STCFN078,
        STCFN079,
        STCFN080,
        STCFN081,
        STCFN082,
        STCFN083,
        STCFN084,
        STCFN085,
        STCFN086,
        STCFN087,
        STCFN088,
        STCFN089,
        STCFN090,
        STCFN091,
        STCFN092,
        STCFN093,
        STCFN094,
        STCFN095,
        STCFN121, //ascii 124

        STARTTILE8,
        T_HELPART,                   
        T_ENDART1,
        T_ENDART2,
    ENUMEND
} graphicnums;

//
// Data LUMPs
//
#define MAINMENU_LUMP_START	 	M_DOOMPIC
#define MAINMENU_LUMP_END		M_QUITGAMEPIC

#define CURSOR_LUMP_START		C_CURSOR1PIC
#define CURSOR_LUMP_END	 		C_CURSOR2PIC

#define EPISODE_LUMP_START		E_WHICHEPISODEPIC
#define EPISODE_LUMP_END		E_EPISODE5PIC

#define SKILL_LUMP_START		S_SKILLLEVELPIC
#define	SKILL_LUMP_END			S_SKILL4PIC

#define OPTIONS_LUMP_START		O_REVERSEPIC
#define OPTIONS_LUMP_END		O_COLONPIC

#define LOADSAVE_LUMP_START		I_LSENTRYPIC
#define LOADSAVE_LUMP_END		C_DISKLOADING2PIC

#define JOYSTICK_LUMP_START		C_JOY1PIC
#define JOYSTICK_LUMP_END		C_JOY2PIC

#define LEVELEND_LUMP_START		L_COLONPIC
#define LEVELEND_LUMP_END		L_PERCENTPIC

#define HIGHSCORES_LUMP_START   HIGHSCORESPIC
#define HIGHSCORES_LUMP_END     NAMEPIC

#define LATCHPICS_LUMP_START	S_2PIC
#define LATCHPICS_LUMP_END		BJOUCH5PIC

#define LEVELINTER_LUMP_START	ENTERINGPIC
#define LEVELINTER_LUMP_END		FINISHEDPIC

#define INTERMISSION_LUMP_START BARPIC
#define INTERMISSION_LUMP_END   YOUWINPIC

#define CUSTOMIZE_LUMP_START    Q_MOUSEPIC
#define CUSTOMIZE_LUMP_END      Q_BKWRDPIC

#define MESSAGE_LUMP_START		STCFN033
#define MESSAGE_LUMP_END		STCFN121

#define NUMCHUNKS    ENUMEND
#define NUMFONT      2
#define NUMPICS      (STARTTILE8 - NUMFONT)
#define NUMTILE8     72

#define STRUCTPIC    0

#define STARTFONT    1
#define STARTPICS    3

//
// Thank you for using IGRAB!
//
