// WL_DEBUG.C

#include "debug.h"

////////////////
// ID cheat codes
////////////////


//
// CHEAT SEQUENCE PACKAGE
//

//
// Called in st_stuff module, which handles the input.
// Returns a 1 if the cheat was successful, 0 if failed.
//

bool cht_CheckCheat (cheatseq_t* cht, char key)
{
    int rc = 0;

    if (!cht->p)
        cht->p = new unsigned int (0); // initialize if first time

    if (cht->sequence[*cht->p] == 1)
    {
        cht->sequence[*cht->p] = key;
    }
    if (key == cht->sequence[*cht->p])
    {
        *cht->p += 1;
    }
    else
        *cht->p = 0;

    if (*cht->p == 0 && key == cht->sequence[*cht->p])
    {
        *cht->p += 1;
    }
    else if (cht->sequence[*cht->p] == 0xff) // end of sequence character
    {
        *cht->p = 0;
        rc = true;
    } 

    return rc > 0;
}

void cht_GetParam (cheatseq_t* cht, char* buffer)
{
    char a, b;
    int i = 0;
    // read the parameters and send to that number
    // find 0xff and -2 for a, and -1 for b
    for (i=0; i<20; i++)
    {
        if (cht->sequence[i] == 0xff)
            break;
    }
    a = cht->sequence[i-2];
    b = cht->sequence[i-1];
    // reset the object
    cht->sequence[i-2] = cht->sequence[i-1] = 1;
    buffer[0] = a;
    buffer[1] = b;
}